services:
  kafka:
    image: 'apache/kafka:3.7.0'
    ports:
      - '9092:9092'
    env_file:
      - '.env'
    # volumes:
    #   - './kafka/config:/mnt/shared/config'
    #   - './kafka/secrets:/etc/kafka/secrets'
  kafka-ui:
    image: 'provectuslabs/kafka-ui'
    depends_on:
      - 'kafka'
    ports:
      - '8080:8080'
    env_file:
      - '.env'
  kafdrop:
    image: 'obsidiandynamics/kafdrop'
    depends_on:
      - 'kafka'
    ports:
      - '9000:9000'
    env_file:
      - '.env'
